> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rapidagent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /agents/{agentId}

> List single agent.

### Params

<ParamField path="agentId" required type="string">
  The ID of the agent.
</ParamField>

### Response

<ResponseField name="success" type="boolean">
  Indicates whether the call was successful.
</ResponseField>

<ResponseField name="data" type="object">
  A single agent object.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request GET 'https://api.rapidagent.ai/api/v1/agents/{agentId}' \
  --header 'Content-Type: application/json' \
  --header 'Autorization: Bearer <token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "id": "clhjk4hab00016iewrghkbs28",
      "userId": "clhj28u1300006ig02ptpm1sh",
      "user": {},
      "document": {},
      "documentId": "clhnyae1t00016i2ixo0027c5",
      "name": "Test Agent",
      "type": "REACT",
      "llm": {
        "model": "gpt-3.5-turbo",
        "provider": "openai-chat"
      },
      "hasMemory": true,
      "AgentMemory": null
    }
  }
  ```
</ResponseExample>
